﻿@using Core.Constant
@using Core.Domain.System
@using Resources
@model Core.Model.Security.SettingModel
@{
    Layout = "~/Views/Shared/_Popup.cshtml";
}

@using (Html.BeginForm("SettingEdit", "System", FormMethod.Post, new { id = "formData", role = "form" }))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(m => m.Id)
    <div class="form-group">
        <label>@Actions.Group</label>
        <select id="GroupId" name="GroupId" class="form-control" min="1" value="@Model.GroupId">
            <option value="0">@Actions.ChooseGroup</option>
            @foreach (SystemSettingGroup i in ViewBag.Groups)
            {
                <option value="@i.Id">@i.Name</option>
            }
        </select>
    </div>
    <div class="form-group">
        <label>@Actions.Key</label>
        @Html.TextBoxFor(m => m.Key, new { @class = "form-control" })
    </div>
    if (Model.Key == Settings.LOGO_URL || Model.Key == Settings.EXPORT_LOGO_URL)
    {
        <div class="form-group col-12">
            <label>@Actions.Upload</label>
            <div>
                @Html.HiddenFor(m => m.Value, new { @class = "form-control" })
                <div id="image">
                    <img src="@(Model.Value)" style="max-width: 300px" />
                </div>
                <div id="progress"></div>
                <input type="file" name="file">
            </div>
        </div>
    }
    else
    {
        <div class="form-group">
            <label>@Actions.Value</label>
            @Html.TextAreaFor(m => m.Value, new { @class = "form-control" })
        </div>
    }
    <div class="form-group">
        <label>Mô tả</label>
        @Html.TextAreaFor(m => m.Desc, new { @class = "form-control" })
    </div>
    <div class="text-center">
        <button type="submit" class="btn btn-primary">@Html.Raw(Actions.Update)</button>
    </div>
}
<script>
    window.parent.setModalSize("800px", "600px");
    $(function () {
        $('input[type=file]').change(function () {
            $(this).simpleUpload("@Url.Action("JsUpload","Upload")?path=Logo", {
                allowedExts: ["jpg", "jpeg", "png"],
                maxFileSize: 5000000,
                start: function () {
                    $('#progress').html("");
                },
                progress: function (progress) {
                    $('#progress').html("Uploaded :" + Math.round(progress) + "%");
                },
                success: function (data) {
                    if (data.success) {
                        $("#image img").attr("src", data.data);
                        $("#Value").val(data.data);
                    } else {
                        $('#progress').html(data.message);
                    }
                }
            });
        });
    });
</script>
